Debian: php-fpm в Squeeze

Ах эти мейнтейнеры Дебиана! Обещали оставить в сквизе php-fpm, но опять появились баги тараканы в голове – вэб разработчики и сисадмины как и прежде используют глючные сборки от dotdeb, если вообще не пересобирают руками весь php.

Решение

В этом посте нашёл временное решение – изменить мета-описание пакета php5-fpm, который лежит в архиве пакетов дебиана, что позволяет использовать старый fpm с новой версией php(тем более что на момент поста отличие минимально – 5.3.3-1 и 5.3.3-7+squeeze. Автор описывает последовательность действий по наложению патча.

Скачать

Сделал deb для i386 – php5-fpm_5.3.3-1_i386_patched. Если не боитесь – можно скачать, вирусов нету :) Иначе – проделать все операции руками :)

..А если форсировать установку пакета?

По идее можно поставить принудительно пакет с другой версией, игнорируя зависимости… Это было моё первое решение, чтоб не пересобирать пакет. Установил через dpkg –force-all – ничего хорошего, после этого были конфликты, которые я не знал как решить: apt ругался что нужно снести пакет php5-fpm 5.3.3-1, т.к. он не удовлетворяет условию php5-common 5.3.3-7+squeeze